> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trending Creator

> Get Trending Creator



## OpenAPI

````yaml /api-reference/openapi.json get /api/trending/creator
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/trending/creator:
    get:
      tags:
        - Trending
      summary: Get Trending Creator
      description: Get Trending Creator
      operationId: getApiTrendingCreator
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 1
            description: Page
            example: 1
        - in: query
          name: limit
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 20
            description: Number of items per page (maximum is 20)
            example: 20
            maximum: 20
        - in: query
          name: sort_by
          schema:
            type: string
            description: |2-

                      Sort by:
                      - follower: Follower
                      - engagement: Engagement
                      - avg_views: Popularity
                    
            enum:
              - follower
              - engagement
              - avg_views
            default: follower
            example: follower
        - in: query
          name: country
          schema:
            type: string
            description: >-
              Country code. Head
              [here](https://gist.githubusercontent.com/apiboxguru/21d1cff1bef7732d9533389cb540541f/raw/6669d1e0025b67e8c7a0a1649cd8c75c5d5d2803/tiktok_trending_support_countries_with_codes.json)
              for a full list of supported countries
            default: US
            example: US
        - in: query
          name: audience_count
          schema:
            type: string
            description: |2-

                      Audience count:
                      - 1: 10k -> 100k
                      - 2: 100k -> 1m
                      - 3: 1m -> 10m
                      - 4: > 10m
                    
            enum:
              - '1'
              - '2'
              - '3'
              - '4'
        - in: query
          name: audience_country
          schema:
            type: string
            description: >-
              Audience country code. Head Head
              [here](https://gist.githubusercontent.com/apiboxguru/21d1cff1bef7732d9533389cb540541f/raw/6669d1e0025b67e8c7a0a1649cd8c75c5d5d2803/tiktok_trending_support_countries_with_codes.json)
              for a full list of supported countries
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          has_more:
                            type: boolean
                            description: ''
                            example: true
                          page:
                            type: number
                            description: ''
                            example: 1
                          size:
                            type: number
                            description: ''
                            example: 20
                          total_count:
                            type: number
                            description: ''
                            example: 500
                      creators:
                        type: array
                        items:
                          type: object
                          properties:
                            tcm_id:
                              type: string
                              description: ''
                              example: '7414477993612935173'
                            user_id:
                              type: string
                              description: ''
                              example: '62133858422239232'
                            nick_name:
                              type: string
                              description: ''
                              example: Fernanda
                            avatar_url:
                              type: string
                              description: ''
                              example: >-
                                https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/3fa0e612da6c7528e77ef65fbb79a932~tplv-tiktokx-cropcenter:100:100.png?dr=14579&refresh_token=582025f1&x-expires=1765980000&x-signature=%2FB5JXe3x6EpvbAkG9V7vZSR6Tfg%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=317596d8&idc=my
                            country_code:
                              type: string
                              description: ''
                              example: US
                            follower_cnt:
                              type: number
                              description: ''
                              example: 9135515
                            liked_cnt:
                              type: number
                              description: ''
                              example: 668294555
                            tt_link:
                              type: string
                              description: ''
                              example: https://www.tiktok.com/@ferchugimenez
                            tcm_link:
                              type: string
                              description: ''
                              example: >-
                                https://creatormarketplace.tiktok.com/ad#/author/7414477993612935173
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  item_id:
                                    type: string
                                    description: ''
                                    example: '7444674312784645432'
                                  cover_url:
                                    type: string
                                    description: ''
                                    example: >-
                                      https://p16-sign-va.tiktokcdn.com/tos-maliva-p-0068/oQIBhn2EeBMUWQR5wVQACFEBtlDxgUDdAfoB8J~tplv-noop.image?dr=18692&refresh_token=c200df0d&x-expires=1765831046&x-signature=5VYpmHh9pxYh60vgof9EJnKScag%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my
                                  tt_link:
                                    type: string
                                    description: ''
                                    example: >-
                                      https://www.tiktok.com/@author/video/7444674312784645432
                                  vv:
                                    type: number
                                    description: ''
                                    example: 13733332
                                  liked_cnt:
                                    type: number
                                    description: ''
                                    example: 516217
                                  create_time:
                                    type: number
                                    description: ''
                                    example: 1733348322
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````